FBReader DjVu plugin
FBReader.ORG Limited
Varies with device Varies with device
This is an additional module for FBReader book reader. Install it if you want read DjVu files in FBReader.

FBReader 2.1 or higher is required.

Content rating: Everyone

Requires OS: Varies with device

...more ...less